Bug 184368 - conflicts between cad/qcad and texlive-base
conflicts between cad/qcad and texlive-base
Status: In Progress
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-29 07:10 UTC by coder
Modified: 2015-01-27 23:11 UTC (History)
4 users (show)

See Also:


Attachments
Proposed patch (1.67 KB, text/plain)
2014-11-20 11:57 UTC, vladimir.chukharev
no flags Details
Build log, partial. (5.76 KB, text/plain)
2015-01-22 16:07 UTC, vladimir.chukharev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description coder 2013-11-29 07:10:00 UTC
====> Compressing man pages (compress-man)
===>  Installing for qcad-3.4.2.0
===>  Checking if cad/qcad already installed
===>   Registering installation for qcad-3.4.2.0
pkg-static: qcad-3.4.2.0: duplicate dependency listing: libXau-1.0.8, ignoring
pkg-static: qcad-3.4.2.0: duplicate dependency listing: libXdmcp-1.1.1, ignoring
pkg-static: qcad-3.4.2.0: duplicate dependency listing: libxcb-1.9.1, ignoring
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadecmaapi.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadgui.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadentity.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadoperations.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadspatialindex.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libspatialindexnavel.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadgrid.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadsnap.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/bin/qcad-bin - shared library libqcadstemmer.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadentity.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadgrid.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadgui.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadoperations.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadsnap.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadspatialindex.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadecmaapi.so.0 - shared library libqcadstemmer.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadentity.so.0 - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadgrid.so.0 - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadgui.so.0 - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadgui.so.0 - shared library libqcadentity.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadoperations.so.0 - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadoperations.so.0 - shared library libqcadentity.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadsnap.so.0 - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadsnap.so.0 - shared library libqcadgrid.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadspatialindex.so.0 - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/lib/libqcadspatialindex.so.0 - shared library libspatialindexnavel.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/designer/libqcadcustomwidgets.so - shared library libqcadgui.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/designer/libqcadcustomwidgets.so - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/designer/libqcadcustomwidgets_debug.so - shared library libqcadgui.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/designer/libqcadcustomwidgets_debug.so - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcaddxf.so - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcaddxf.so - shared library libqcadentity.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcaddxf.so - shared library libqcadoperations.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcaddxf_debug.so - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcaddxf_debug.so - shared library libqcadentity.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcaddxf_debug.so - shared library libqcadoperations.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcadexample.so - shared library libqcadcore.so not found
pkg-static: (qcad-3.4.2.0) /usr/ports/cad/qcad/work/stage//usr/local/share/qcad/plugins/libqcadexample_debug.so - shared library libqcadcore.so not found
Installing qcad-3.4.2.0...pkg-static: qcad-3.4.2.0 conflicts with texlive-base-20120701_8 (installs files into the same place).  Problematic file: /usr/local/bin/bbox
*** [fake-pkg] Error code 70

Stop in /usr/ports/cad/qcad.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-29 07:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-12-02 08:59:20 UTC
Author: mr
Date: Mon Dec  2 08:59:13 2013
New Revision: 335470
URL: http://svnweb.freebsd.org/changeset/ports/335470

Log:
  Register conflicts with texlive-base-* since it has one file in common.
  
  PR:		ports/184368
  Submitted by:	lbartoletti

Modified:
  head/cad/qcad/Makefile

Modified: head/cad/qcad/Makefile
==============================================================================
--- head/cad/qcad/Makefile	Mon Dec  2 08:29:54 2013	(r335469)
+++ head/cad/qcad/Makefile	Mon Dec  2 08:59:13 2013	(r335470)
@@ -18,6 +18,8 @@ BUILD_DEPENDS=	bash:${PORTSDIR}/shells/b
 		${LOCALBASE}/lib/libopenNURBS.a:${PORTSDIR}/graphics/opennurbs
 LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo
 
+CONFLICTS=	texlive-base-*
+
 FETCH_ARGS=	-Fpr
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 MAKE_JOBS_UNSAFE=yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Michael Reifenberger freebsd_committer 2013-12-02 08:59:57 UTC
Responsible Changed
From-To: mr->hrs

CONFLICTS committed from my side. 
Over to maintainer of texlive for registering the conflict there too.
Comment 4 vladimir.chukharev 2014-08-07 12:43:40 UTC
Registering CONFLICTS is not a complete solution... Of course, it should be made for the time being. But is it possible to rename the problematic file in qcad? 

It seems that it's difficult to do in texlive-base: there is bbox(1) manpage, perhaps, some scripts use bbox out there too...

I tried and I could not find any uses of bbox in qcad myself.
Comment 5 vladimir.chukharev 2014-11-20 11:57:46 UTC
Created attachment 149639 [details]
Proposed patch
Comment 6 vladimir.chukharev 2014-11-20 11:58:56 UTC
It seems that bbox (and three dwg2* scripts) can work only with QCAD Pro, which is commercial. Therefore, installing them with the free version is useless.

I made and tested a patch removing the said scripts. The files files/*.im can also be removed from the port. This solves the conflict, and I believe this is a better solution.

The patch also changes mv to ${MV} to make portlint happy.

Additionally, I think that the maintainer could contact upstream and request renaming the bbox script to prevent possible conflicts in the future, with corresponding reasoning. Unlike the other mentioned scripts, bbox is barely mentioned in documentation. Renaming might be very easy task for the developers.
Comment 7 vladimir.chukharev 2014-12-04 07:14:01 UTC
Michael, could you comment, please? It's 2 weeks since the patch was proposed...
Comment 8 commit-hook freebsd_committer 2015-01-19 17:31:22 UTC
A commit references this bug:

Author: mr
Date: Mon Jan 19 17:30:50 UTC 2015
New revision: 377442
URL: https://svnweb.freebsd.org/changeset/ports/377442

Log:
  Update to Release 3.7.5.0.
  Fix conflict with texlive-base

  PR:		184368
  Submitted by:	vladimir.chukharev (Infos and Patch to resolve the conflict)

Changes:
  head/cad/qcad/Makefile
  head/cad/qcad/distinfo
  head/cad/qcad/files/patch-src_core_core.pro
  head/cad/qcad/pkg-plist
Comment 9 vladimir.chukharev 2015-01-22 16:07:54 UTC
Created attachment 152017 [details]
Build log, partial.
Comment 10 vladimir.chukharev 2015-01-22 16:09:56 UTC
Comment on attachment 152017 [details]
Build log, partial.

I cannot build the updated version. I did not look in it. The end of the build logs with errors is in the attachment.
Comment 11 vladimir.chukharev 2015-01-27 18:38:54 UTC
OK, I finally got to it again  for a moment, and managed to find a work around.

I needed to remove the installed version of qcad and only then build and install the new one.

I suggest to add an entry about this trick to  /usr/ports/UPDATING.

A better solution would be to find why the build process uses the installed tools and/or libs rather than the newly build ones, and fix those uses.
Comment 12 vladimir.chukharev 2015-01-27 23:11:03 UTC
This PR can be closed

Conflicts between cad/qcad and texlive-base are now fixed. The problems with updating to the newer version of qcad are discussed in a separate bug 197140 with a patch.